> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /niconico/videos/search

> Search Niconico videos

**Price:** 1 credit per 100 results

**⚠️ Common errors:** 422: Neither keyword nor tag was provided.



## OpenAPI

````yaml /openapi/social-media.json post /api/niconico/videos/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/niconico/videos/search:
    post:
      tags:
        - /niconico
      summary: /niconico/videos/search
      description: |-
        Search Niconico videos

        **Price:** 1 credit per 100 results

        **⚠️ Common errors:** 422: Neither keyword nor tag was provided.
      operationId: __api_niconico_videos_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NiconicoVideosSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NiconicoVideoCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NiconicoVideosSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        tag:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        sort_key:
          $ref: '#/components/schemas/NiconicoSearchSortKey'
          default: hot
        sort_order:
          $ref: '#/components/schemas/NiconicoSearchSortOrder'
          default: desc
        content_type:
          $ref: '#/components/schemas/NiconicoSearchContentType'
          default: long
        genres:
          items:
            $ref: '#/components/schemas/NiconicoGenre'
          type: array
          default: []
        min_duration_seconds:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_duration_seconds:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        uploaded_after:
          anyOf:
            - type: string
            - type: 'null'
        uploaded_before:
          anyOf:
            - type: string
            - type: 'null'
        search_by_user:
          type: boolean
          default: false
      type: object
      required:
        - count
    NiconicoVideoCard:
      properties:
        '@type':
          type: string
          default: NiconicoVideoCard
        id:
          type: string
        video_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        duration_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        mylist_count:
          anyOf:
            - type: integer
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        registered_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        latest_comment:
          anyOf:
            - type: string
            - type: 'null'
        is_channel_video:
          type: boolean
          default: false
        is_payment_required:
          type: boolean
          default: false
        owner:
          anyOf:
            - $ref: '#/components/schemas/NiconicoOwner'
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NiconicoSearchSortKey:
      type: string
      enum:
        - hot
        - registered_at
        - view_count
        - last_comment_time
        - like_count
        - comment_count
        - mylist_count
        - duration
    NiconicoSearchSortOrder:
      type: string
      enum:
        - desc
        - asc
        - none
    NiconicoSearchContentType:
      type: string
      enum:
        - long
        - short
    NiconicoGenre:
      type: string
      enum:
        - entertainment
        - radio
        - music_sound
        - dance
        - animal
        - nature
        - cooking
        - traveling_outdoor
        - vehicle
        - sports
        - society_politics_news
        - technology_craft
        - commentary_lecture
        - anime
        - game
        - other
        - r18
    NiconicoOwner:
      properties:
        '@type':
          type: string
          default: NiconicoOwner
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        owner_type:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````